Qt Cryptographic Architecture: QCA::CertificateInfoPair Class Reference

# QCA::CertificateInfoPair Class Reference
[QCA user API]

One entry in a certificate information list. More...

`#include <QtCrypto>`

Collaboration diagram for QCA::CertificateInfoPair:

[legend]

List of all members.

## Public Member Functions
| CertificateInfoPair (const CertificateInfoPair &from)
| CertificateInfoPair (const CertificateInfoType &type, const QString &value)
| CertificateInfoPair ()
bool | operator!= (const CertificateInfoPair &other) const
CertificateInfoPair & | operator= (const CertificateInfoPair &from)
bool | operator== (const CertificateInfoPair &other) const
CertificateInfoType | type () const
QString | value () const

## Detailed Description

One entry in a certificate information list.

## Constructor & Destructor Documentation

QCA::CertificateInfoPair::CertificateInfoPair | ( |  | ) |

Standard constructor.

QCA::CertificateInfoPair::CertificateInfoPair | ( | const CertificateInfoType & | type,
|  | const QString & | value |
| ) |  |  |

Construct a new pair.

Parameters:

  | type | the type of information stored in this pair
  | value | the value of the information to be stored

QCA::CertificateInfoPair::CertificateInfoPair | ( | const CertificateInfoPair & | from | ) |

Standard copy constructor.

Parameters:

  | from | the information pair to copy from

## Member Function Documentation

bool QCA::CertificateInfoPair::operator!= | ( | const CertificateInfoPair & | other | ) | const`[inline]`

Inequality operator.

Parameters:

  | other | the certificate information pair to compare with this certificate information pair.

CertificateInfoPair& QCA::CertificateInfoPair::operator= | ( | const CertificateInfoPair & | from | ) |

Standard assignment operator.

Parameters:

  | from | the information pair to assign from

bool QCA::CertificateInfoPair::operator== | ( | const CertificateInfoPair & | other | ) | const

Comparison operator.

Parameters:

  | other | the certificate information pair to compare with this certificate information pair.

CertificateInfoType QCA::CertificateInfoPair::type | ( |  | ) | const

The type of information stored in the pair.

QString QCA::CertificateInfoPair::value | ( |  | ) | const

The value of the information stored in the pair.

The documentation for this class was generated from the following file:

- qca_cert.h